US Equities OTC Quote
OTC quotes data includes pricing and transaction information for securities traded outside traditional exchanges. OTC Quote History is a dataset provided by OTC Markets, and generated in OTC Markets Link Quotation System. The OTC Quote History File is an end-of-day file that compiles all quotes from the OTC Link Quotation System throughout the entire day. It is presented as a single CSV file for per trading day per symbol
GEThttps://api.devalgoseek.com/api/v1/data/us-equity/eq-otc-taq/:trade_date/:ticker#
OTC quotes data includes pricing and transaction information for securities traded outside traditional exchanges. OTC Quote History is a dataset provided by OTC Markets, and generated in OTC Markets Link Quotation System. The OTC Quote History File is an end-of-day file that compiles all quotes from the OTC Link Quotation System throughout the entire day. It is presented as a single CSV file for per trading day per symbol
For more details, please refer to the dataset documentation: US Equities OTC Quote Guide.
Advanced Filtering
You can provide one or multiple filter expressions based on the dataset's columns to narrow down the results. For example, StartDate.gt=2023-01-01&StartDate.lt=2023-12-31, Ticker=AAPL.
Please refer to the Advanced Filtering Guide for the extensive reference.
Request#
Path Parameters#
Trading date in YYYY-MM-DD format
2024-01-15Dataset's security identifier
AAPLQuery Parameters#
- JSON
- CSV Gzip
Sorting criteria for the results. Provide a column name with optional prefix '+' for ascending order, or prefix with '-' for descending order. Multiple sorting fields may be supported depending on the dataset. If sort prefix is not provided, the ascending order is applied.
A comma-separated list of columns to include in the response. Use this parameter to select only specific fields from the dataset. If not provided, all available columns will be returned.
Possible values: >= 0
Number of records to skip before returning results. To be used with the limit parameter for pagination. If not provided, defaults to 0.
0100Possible values: >= 0 and <= 100000
Maximum number of records to return. Used to control response size and pagination. If not provided, a default limit is applied by the server.
10000100Possible values: [json, csv, csv_gzip]
The type of the data to return
jsonJSON format (default)
jsonCompressed CSV format
csv_gzipResponses#
- 200
- 403
- 422
- 429
JSON, CSV file, or gzip-compressed CSV file, depending on the value of response_format query parameter
- application/json
- text/csv
- application/gzip
- Schema
- Example (auto)
Schema
- Array [
- ]
data object[]required
The trading day
20240125Event timestamp (EST) with a nanosecond resolution (milliseconds before 2016)
This numeric field signifies the nature of the quote update.
4Symbol name
GBRRFName of the security
GABRIEL RES LTDThis field indicates the nature of the quote.
AThis field represents the price of the quote.
0.274This field represents the size of the quote
2500This field indicates the nature of the quote.
AThis field represents the price of the quote.
0.36This field represents the size of the quote
2500This field is related to specific securities, and not specific quotes
0The Market Maker ID is a character field that contains a unique identifier assigned to the market participant who submitted a specific quote or order
NITEThis field holds the identifier of the individual trader who submitted a specific quote or order in the market
1128This field complements the QuoteUpdateType field. Value will be populated (not empty) when QuoteUpdateType is 5. A value of 0 indicated the quote is closed, 1 indicated the quote is open.
0This field is the unique quote identification number.
12483This field complements the QuoteUpdateType field. Value will only be populated (not empty) when QuoteUpdateType is 6.
pagination objectrequired
The number of records skipped to fetch the current page
0The maximum number of records in the current page
The number of records to skip to fetch the next page
{
"data": [
{
"TradeDate": "20240125",
"EventDateTime": "2024-07-29T15:51:28.071Z",
"QuoteUpdateType": 4,
"Ticker": "GBRRF",
"Name": "GABRIEL RES LTD",
"BidType": "A",
"BidPrice": 0.274,
"BidSize": 2500,
"AskType": "A",
"AskPrice": 0.36,
"AskSize": 2500,
"UnsolicitedFlag": "0",
"MMID": "NITE",
"Trader": "1128",
"OpenCloseStatus": 0,
"QuoteId": 12483,
"InsideReason": ""
}
],
"pagination": {
"limit": 1000,
"next_offset": 2000,
"offset": 1000
}
}
- Schema
- Example (auto)
Schema
"string"
- Schema
- Example (auto)
Schema
"string"
Forbidden
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
Request rejected because the identity or team exceeded a configured monthly or per-minute usage quota. When available, the response includes rate-limit headers describing the current quota.
Response Headers
Configured quota limit for the resource that was exceeded.
Remaining quota before the limit is reached. This is 0 when the request is rejected.
Number of seconds left in the current quota period before usage resets.
- application/json
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/data/us-equity/eq-otc-taq/:trade_date/:ticker");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!